CommitLogSegment.CDCState (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db.commitlog

## Enum CommitLogSegment.CDCState

- java.lang.Object
- - java.lang.Enum<CommitLogSegment.CDCState>
  - - org.apache.cassandra.db.commitlog.CommitLogSegment.CDCState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CommitLogSegment.CDCState>
  Enclosing class:
    CommitLogSegment

      public static enum CommitLogSegment.CDCState
      extends java.lang.Enum<CommitLogSegment.CDCState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTAINS`
    `FORBIDDEN`
    `PERMITTED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CommitLogSegment.CDCState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CommitLogSegment.CDCState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PERMITTED

          public static final CommitLogSegment.CDCState PERMITTED

    - #### FORBIDDEN

          public static final CommitLogSegment.CDCState FORBIDDEN

    - #### CONTAINS

          public static final CommitLogSegment.CDCState CONTAINS

  - ### Method Detail

    - #### values

          public static CommitLogSegment.CDCState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CommitLogSegment.CDCState c : CommitLogSegment.CDCState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CommitLogSegment.CDCState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation